Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.flex.remoting
Annotation Type RemotingDestination

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Inherited
    @Documented
    public @interface RemotingDestination

Indicates that an annotated Spring-managed bean should be exported as a destination for AMF-based remoting via a Spring-managed `MessageBroker`.

Author:
  Jeremy Grelle

Optional Element Summary
`String[]` | `channels` A array of ids for the BlazeDS channels over which this remoting destination should be exposed.
`String` | `messageBroker` The id of the Spring-managed MessageBroker that will route messages to the exported bean.
`String` | `serviceAdapter` A reference to a custom Spring-managed ServiceAdapter (usually created via a ManageableComponentFactoryBean) to be used when invoking methods on this destination.
`String` | `value` The id of the remoting destination.

### channels

    public abstract String[] channels

  A array of ids for the BlazeDS channels over which this remoting destination should be exposed.

  Only needed when overriding the default channels for the RemotingService.

  Default:
    {}

### messageBroker

    public abstract String messageBroker

  The id of the Spring-managed MessageBroker that will route messages to the exported bean.

  Not required unless an explicit id has been specified for the MessageBroker.

  Default:
    "_messageBroker"

### serviceAdapter

    public abstract String serviceAdapter

  A reference to a custom Spring-managed ServiceAdapter (usually created via a ManageableComponentFactoryBean) to be used when invoking methods on this destination.

  Default:
    ""

### value

    public abstract String value

  The id of the remoting destination. This corresponds to the "destination" property that will be set on the RemoteObject in the Flex client.

  By default, this will be set to the name of the bean being exported.

  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2011. All Rights Reserved.